SDIFF(1)

NOM
sdiff - Fusionner morceau par morceau les différences entre les fichiers

SYNOPSIS
sdiff [OPTION]... fichier1 fichier2

DESCRIPTION
Fusionner les différences entre fichier1 et fichier2.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-o, --output=FICHIER
    Opérer interactivement, en redirigeant la sortie vers fichier.

-i, --ignore-case
    Ne pas tenir compte des différences entre majuscules et minuscules.

-E, --ignore-tab-expansion
    Ne pas tenir compte des modifications dues au développement de tabulations.

-Z, --ignore-trailing-space
    Ne pas tenir compte des espaces en fin de ligne.

-b, --ignore-space-change
    Ne pas tenir compte des modifications dues au nombre d'espaces.

-W, --ignore-all-space
    Ne tenir compte d'aucun espace.

-B, --ignore-blank-lines
    Ne pas tenir compte des lignes vides.

-I, --ignore-matching-lines=RE
    Ne pas tenir compte des changements sur les lignes qui correspondent à une expression rationnelle.

--strip-trailing-cr
    Ignorer les retours à la ligne sur l'entrée standard.

-a, --text
    Traiter tous les fichiers comme du texte.

-w, --width=NOMBRE
    Afficher au plus NOMBRE caractères par ligne (130 par défaut).

-l, --left-column
    N'afficher que la colonne de gauche des lignes communes.

-s, --suppress-common-lines
    Ne pas afficher les lignes communes.

-t, --expand-tabs
    Transformer les tabulations en espaces en sortie.

--tabsize=NOMBRE
    Les tabulations s'arrêtent toutes les NOMBRE (8 par défaut) colonnes.

-d, --minimal
    Essayer de trouver un ensemble de changements minimal.

-H, --speed-large-files
    Supposer que les fichiers sont de grande taille et contiennent de nombreux petits changements dispersés.

--diff-program=PROGRAM
    Utiliser programme pour comparer les fichiers.

--help
    afficher l'aide-mémoire et quitter

-v, --version
    afficher les informations de version et quitter

Si un fichier vaut -, l'entrée standard est lue. Le code de retour vaut 0 si les entrées sont identiques, 1 si elles diffèrent, et 2 en cas de problème.

AUTEUR
Écrit par Thomas Lord.

SIGNALER DES BOGUES
Signaler toute erreur à bug-diffutils@gnu.org
Page d'accueil de GNU diffutils : <https://www.gnu.org/software/diffutils/>
Aide générale sur l'utilisation des logiciels GNU : <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
cmp(1), diff(1), diff3(1)

La documentation complète de sdiff est disponible en tant que manuel Texinfo. Si les programmes info et sdiff sont correctement installés, la commande

    info sdiff

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.